Bug 482169 - System Monitor in Plasma 6 crashes on clicking "Show Details Sidebar"
Summary: System Monitor in Plasma 6 crashes on clicking "Show Details Sidebar"
Status: RESOLVED UPSTREAM
Alias: None
Product: plasma-systemmonitor
Classification: Applications
Component: general (show other bugs)
Version: master
Platform: Other Linux
: HI crash
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords: qt6
: 482741 482922 483114 483833 484919 (view as bug list)
Depends on:
Blocks:
 
Reported: 2024-03-01 16:14 UTC by Igor Mironchik
Modified: 2024-04-11 16:19 UTC (History)
22 users (show)

See Also:
Latest Commit:
Version Fixed In: Qt 6.7.1


Attachments
Application tab (60.95 KB, image/png)
2024-03-01 16:14 UTC, Igor Mironchik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Mironchik 2024-03-01 16:14:13 UTC
Created attachment 166259 [details]
Application tab

SUMMARY
System Monitor in Plasma 6 stops on clicking "Show Details Sidebar"

STEPS TO REPRODUCE
1. Launch System Monitor (Meta + Esc)
2. Switch to Applications tab.
3. Click "Show Details Sidebar"

OBSERVED RESULT
System Monitor disappears. Crashes?


EXPECTED RESULT
I don't know what here should be.


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: KDE neon 6
(available in About System)
KDE Plasma Version: 6.0.0
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2

ADDITIONAL INFORMATION
Comment 1 Igor Mironchik 2024-03-01 16:16:28 UTC
Yes, this is a crash:

igor@gmi:~$ plasma-systemmonitor 
QML debugging is enabled. Only use this in a safe environment.
qt.qml.typeresolution.cycle: Cyclic dependency detected between "qrc:/qt/qml/org/kde/desktop/private/TextFieldContextMenu.qml" and "qrc:/qt/qml/org/kde/desktop/MenuItem.qml"
qrc:/qt/qml/org/kde/ksysguard/page/EditablePage.qml?page=history.page:223:9: QML Loader: Binding loop detected for property "height"
file:///usr/lib/x86_64-linux-gnu/qt6/qml/org/kde/kirigami/Dialog.qml:334:18: QML ScrollView: Binding loop detected for property "calculatedImplicitWidth"
file:///usr/lib/x86_64-linux-gnu/qt6/qml/org/kde/kirigami/Dialog.qml:386:33: QML Binding: Binding loop detected for property "target"
qrc:/qt/qml/org/kde/ksysguard/page/EditablePage.qml?page=overview.page:223:9: QML Loader: Binding loop detected for property "height"
file:///usr/lib/x86_64-linux-gnu/qt6/qml/org/kde/kirigami/Dialog.qml:334:18: QML ScrollView: Binding loop detected for property "calculatedImplicitWidth"
file:///usr/lib/x86_64-linux-gnu/qt6/qml/org/kde/kirigami/Dialog.qml:386:33: QML Binding: Binding loop detected for property "target"
Segmentation fault
Comment 2 paninomaninodesu 2024-03-01 16:32:01 UTC
It's true, same random crash.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: KDE neon 6
KDE Plasma Version: 6.0.0
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Comment 3 Nicolas Fella 2024-03-01 16:58:31 UTC
#0  QQuickItem::parentItem (this=0x0) at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:2691
#1  0x00007fffe159d09a in QQuickSelectionRectanglePrivate::updateSelectionMode (this=0xe6e140)
    at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/qquickselectionrectangle.cpp:494
#2  0x00007fffe159e1c6 in operator() (__closure=0xe6f590) at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/qquickselectionrectangle.cpp:540
#3  QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, QQuickSelectionRectangle::QQuickSelectionRectangle(QQuickItem*)::<lambda()> >::call
    (arg=<optimized out>, f=...) at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobjectdefs_impl.h:137
#4  QtPrivate::FunctorCallable<QQuickSelectionRectangle::QQuickSelectionRectangle(QQuickItem*)::<lambda()> >::call<QtPrivate::List<>, void>
    (arg=<optimized out>, f=...) at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobjectdefs_impl.h:345
#5  QtPrivate::QCallableObject<QQuickSelectionRectangle::QQuickSelectionRectangle(QQuickItem*)::<lambda()>, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=0xe6f580, r=<optimized out>, a=<optimized out>, ret=<optimized out>)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobjectdefs_impl.h:555
#6  0x00007ffff4dbd143 in QtPrivate::QSlotObjectBase::call (a=0x7fffffff7cf0, r=0xe6e060, this=0xe6f580)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobjectdefs_impl.h:469
#7  doActivate<false> (sender=0xe6e060, signal_index=18, argv=0x7fffffff7cf0) at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobject.cpp:4060
#8  0x00007ffff69e78d0 in QQuickItemPrivate::setEffectiveEnableRecur (this=0xe43060, scope=0x0, newEffectiveEnable=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:6672
#9  0x00007ffff69e78d0 in QQuickItemPrivate::setEffectiveEnableRecur (this=0x2fab500, scope=0x0, newEffectiveEnable=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:6672
#10 0x00007ffff69e78d0 in QQuickItemPrivate::setEffectiveEnableRecur (this=0xe14d40, scope=0x0, newEffectiveEnable=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:6672
#11 0x00007ffff69e78d0 in QQuickItemPrivate::setEffectiveEnableRecur (this=0x29d47f0, scope=0x0, newEffectiveEnable=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:6672
#12 0x00007ffff69e78d0 in QQuickItemPrivate::setEffectiveEnableRecur (this=this@entry=0x2d4d360, scope=scope@entry=0x0, newEffectiveEnable=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:6672
#13 0x00007ffff69f236c in QQuickItem::setParentItem (this=this@entry=0x2c5f5f0, parentItem=parentItem@entry=0x2b7aa40)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:2783
#14 0x00007ffff6a0d2b4 in QQuickLoaderPrivate::setInitialState (this=0x2aeef80, obj=0x2c5f5f0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickloader.cpp:639
#15 0x00007ffff6533a2e in QQmlIncubatorPrivate::incubate (this=this@entry=0x1e88860, i=...) at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlincubator.cpp:321
#16 0x00007ffff6533d34 in QQmlEnginePrivate::incubate (this=0x75d700, i=<optimized out>, forContext=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlincubator.cpp:53
#17 0x00007ffff64eef45 in QQmlComponent::create (this=<optimized out>, incubator=..., context=<optimized out>, forContext=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlcomponent.cpp:1437
#18 0x00007ffff6a0e3ff in QQuickLoaderPrivate::_q_sourceLoaded (this=0x2aeef80) at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickloader.cpp:734
#19 0x00007ffff6a0e640 in QQuickLoaderPrivate::load (this=<optimized out>) at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickloader.cpp:604
#20 0x00007ffff6a0e754 in QQuickLoader::loadFromSourceComponent (this=<optimized out>) at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickloader.cpp:476
#21 0x00007ffff6a0ef95 in QQuickLoader::setActive (this=0x2b7aa40, newVal=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickloader.cpp:315
#22 0x00007ffff64d8cf9 in QQmlPropertyData::writeProperty (flags=..., value=<optimized out>, target=<optimized out>, this=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlpropertydata_p.h:336
#23 GenericBinding<1>::doStore<bool> (flags=..., pd=<optimized out>, value=<optimized out>, this=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlbinding.cpp:275
#24 GenericBinding<1>::write (this=0x2b7bf80, result=..., isUndefined=<optimized out>, flags=...)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlbinding.cpp:238
#25 0x00007ffff64d34ae in QQmlBinding::doUpdate (this=0x2b7bf80, watcher=..., flags=..., scope=...)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlbinding.cpp:701
#26 0x00007ffff64d6b63 in QQmlBinding::update (this=0x2b7bf80, flags=...) at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlbinding.cpp:164
#27 0x00007ffff6561c87 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x0) at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlnotifier.cpp:70
#28 0x00007ffff4dbcbc0 in doActivate<false> (sender=0x2106a90, signal_index=5, argv=0x0) at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobject.cpp:3952
#29 0x00007ffff4db481f in QMetaObject::activate (sender=sender@entry=0x2106a90, m=<optimized out>, local_signal_index=<optimized out>, argv=argv@entry=0x0)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobject.cpp:4120
--Type <RET> for more, q to quit, c to continue without paging--c
#30 0x00007ffff4db4883 in QMetaObject::activate (sender=sender@entry=0x2106a90, signal_index=signal_index@entry=9, argv=argv@entry=0x0)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobject.cpp:4145
#31 0x00007ffff65790e7 in QQmlOpenMetaObject::metaCall (this=0x28f4140, o=0x2106a90, c=<optimized out>, id=<optimized out>, a=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlopenmetaobject.cpp:279
#32 0x00007ffff64d9dc2 in QQmlPropertyData::doMetacall<(QMetaObject::Call)2> (this=0x7fffffffa2c0, argv=0x7fffffff9f40, idx=<optimized out>, object=0x0)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlpropertydata_p.h:358
#33 QQmlPropertyData::writeProperty (this=this@entry=0x7fffffffa2c0, target=target@entry=0x2106a90, value=value@entry=0x7fffffffa1f0, flags=flags@entry=...)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlpropertydata_p.h:378
#34 0x00007ffff6588e55 in QQmlPropertyPrivate::write (object=object@entry=0x2106a90, property=..., value=..., context=..., flags=..., flags@entry=...)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlproperty.cpp:1536
#35 0x00007ffff642edd0 in QV4::QObjectWrapper::setProperty (engine=engine@entry=0x7bb0b0, object=object@entry=0x2106a90, property=0x7fffffffa2c0, value=...)
    at /home/nico/workspace/qt6/qtbase/src/corelib/global/qflags.h:73
#36 0x00007ffff642f56e in QV4::QObjectWrapper::setQmlProperty
    (engine=engine@entry=0x7bb0b0, qmlContext=..., object=0x2106a90, name=<optimized out>, flags=flags@entry=..., value=...)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:574
#37 0x00007ffff642f702 in QV4::QObjectWrapper::virtualPut (m=0x7fffe01bf538, id=..., value=..., receiver=0x7fffe01bf538)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:946
#38 0x00007ffff6409edc in QV4::Object::put (receiver=0x7fffe01bf538, v=<optimized out>, id=..., this=0x7fffe01bf538)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4object_p.h:41
#39 QV4::Object::virtualResolveLookupSetter (object=0x7fffe01bf538, engine=0x7bb0b0, lookup=0x18d0260, value=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4object.cpp:817
#40 0x00007ffff648b748 in QV4::Moth::VME::interpret (frame=0x0, frame@entry=0x7fffffffa6e0, engine=0x7bb0b0, code=0x7fffd2a69a9e "\032\b\006\324\026\006\002")
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4vme_moth.cpp:321
#41 0x00007ffff648fe97 in QV4::Moth::VME::exec (frame=frame@entry=0x7fffffffa6e0, engine=engine@entry=0x7bb0b0)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4vme_moth.cpp:487
#42 0x00007ffff63e131e in QV4::doCall
    (self=<optimized out>, thisObject=thisObject@entry=0x181fe50, argv=<optimized out>, argc=<optimized out>, context=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4function.cpp:54
#43 0x00007ffff63e1778 in QV4::Function::call
    (this=this@entry=0x181fe50, thisObject=0x181fe50, argv=argv@entry=0x7fffe01bf4f0, argc=argc@entry=1, context=context@entry=0x7fffc49d9310)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4function.cpp:79
#44 0x00007ffff63e1a5b in operator() (argc=1, argv=0x7fffe01bf4f0, thisObject=<optimized out>, __closure=<synthetic pointer>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4function.cpp:30
#45 QV4::convertAndCall<QV4::Function::call(QObject*, void**, const QMetaType*, int, QV4::ExecutionContext*)::<lambda(const QV4::Value*, const QV4::Value*, int)> >
    (call=..., argc=1, types=0x7fffffffa998, a=0x7fffffffc3e0, thisObject=0x2b7e690, engine=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4jscall_p.h:194
#46 QV4::Function::call (this=0x181fe50, thisObject=0x2b7e690, a=a@entry=0x7fffffffc3e0, types=0x7fffffffa998, argc=1, context=0x7fffc49d9310)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/jsruntime/qv4function.cpp:27
#47 0x00007ffff6537c57 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x2b7ed50, a=a@entry=0x7fffffffc3e0, types=<optimized out>, argc=argc@entry=1)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmljavascriptexpression_p.h:248
#48 0x00007ffff64df663 in QQmlBoundSignalExpression::evaluate (this=0x2b7ed50, a=a@entry=0x7fffffffc3e0)
    at /home/nico/workspace/qt6/qtbase/src/corelib/tools/qvarlengtharray.h:85
#49 0x00007ffff64e0028 in QQmlBoundSignal_callback (e=0x2ae2ef0, a=0x7fffffffc3e0) at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/ftw/qqmlrefcount_p.h:73
#50 0x00007ffff6561c87 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x7fffffffc3e0)
    at /home/nico/workspace/qt6/qtdeclarative/src/qml/qml/qqmlnotifier.cpp:70
#51 0x00007ffff4dbcbc0 in doActivate<false> (sender=0x2b7e690, signal_index=9, argv=0x7fffffffc3e0)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobject.cpp:3952
#52 0x00007ffff4db481f in QMetaObject::activate
    (sender=sender@entry=0x2b7e690, m=m@entry=0x7fffe1626340 <QQuickAction::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7fffffffc3e0) at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qobject.cpp:4120
#53 0x00007fffe14d7972 in QQuickAction::toggled (this=this@entry=0x2b7e690, _t1=<optimized out>, _t1@entry=0x2e18850)
    at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/QuickTemplates2_autogen/include/moc_qquickaction_p.cpp:394
#54 0x00007fffe14d88f3 in QQuickActionPrivate::trigger (this=0x2b7e760, source=0x2e18850, doToggle=false)
    at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/qquickaction.cpp:524
#55 0x00007fffe14d0630 in QQuickAbstractButtonPrivate::trigger (this=this@entry=0x3072c90, doubleClick=doubleClick@entry=false)
    at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/qquickabstractbutton.cpp:374
#56 0x00007fffe14d2cda in QQuickAbstractButtonPrivate::handleRelease (this=0x3072c90, point=..., timestamp=49018213)
    at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/qquickabstractbutton.cpp:186
#57 0x00007fffe14e7b6c in QQuickControl::mouseReleaseEvent (this=<optimized out>, event=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quicktemplates/qquickcontrol.cpp:2017
#58 0x00007ffff69ec276 in QQuickItemPrivate::deliverPointerEvent (this=this@entry=0x3072c90, event=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:5641
#59 0x00007ffff69f17f8 in QQuickItem::event (this=0x2e18850, ev=0x7fffffffcfa0) at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickitem.cpp:9028
#60 0x00007ffff7181a61 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2e18850, e=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtbase/src/widgets/kernel/qapplication.cpp:3285
#61 0x00007ffff4d5f5c8 in QCoreApplication::notifyInternal2 (receiver=0x2e18850, event=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qcoreapplication.cpp:1134
#62 0x00007ffff4d5f789 in QCoreApplication::sendEvent (receiver=<optimized out>, event=<optimized out>)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qcoreapplication.cpp:1575
#63 0x00007ffff6b9711a in QQuickDeliveryAgentPrivate::deliverMatchingPointsToItem
    (this=this@entry=0x79ae70, item=item@entry=0x2e18850, isGrabber=isGrabber@entry=true, pointerEvent=pointerEvent@entry=0x7fffffffcfa0, handlersOnly=handlersOnly@entry=false) at /home/nico/workspace/qt6/qtdeclarative/src/quick/util/qquickdeliveryagent.cpp:2301
#64 0x00007ffff6b97cc6 in QQuickDeliveryAgentPrivate::deliverUpdatedPoints (this=this@entry=0x79ae70, event=event@entry=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/util/qquickdeliveryagent.cpp:2090
#65 0x00007ffff6b98d3b in QQuickDeliveryAgentPrivate::deliverPointerEvent (this=this@entry=0x79ae70, event=event@entry=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/util/qquickdeliveryagent.cpp:1930
#66 0x00007ffff6b99eb7 in QQuickDeliveryAgentPrivate::handleMouseEvent (this=this@entry=0x79ae70, event=event@entry=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/util/qquickdeliveryagent.cpp:1684
#67 0x00007ffff6b9ba40 in QQuickDeliveryAgent::event (this=<optimized out>, ev=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/util/qquickdeliveryagent.cpp:726
#68 0x00007ffff6a8f2f7 in QQuickWindow::event (this=<optimized out>, event=<optimized out>)
    at /home/nico/workspace/qt6/qtdeclarative/src/quick/items/qquickwindow.cpp:1530
#69 0x00007ffff7181a61 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x70bd20, e=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtbase/src/widgets/kernel/qapplication.cpp:3285
#70 0x00007ffff4d5f5c8 in QCoreApplication::notifyInternal2 (receiver=0x70bd20, event=0x7fffffffcfa0)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qcoreapplication.cpp:1134
#71 0x00007ffff4d5f799 in QCoreApplication::sendSpontaneousEvent (receiver=<optimized out>, event=<optimized out>)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qcoreapplication.cpp:1589
#72 0x00007ffff55c32eb in QGuiApplicationPrivate::processMouseEvent (e=0x7fffd4002410) at /home/nico/workspace/qt6/qtbase/src/gui/kernel/qguiapplication.cpp:2326
#73 0x00007ffff561c4ac in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at /home/nico/workspace/qt6/qtbase/src/gui/kernel/qwindowsysteminterface.cpp:1114
#74 0x00007ffff5ac2340 in userEventSourceDispatch (source=<optimized out>) at /home/nico/workspace/qt6/qtbase/src/gui/platform/unix/qeventdispatcher_glib.cpp:38
#75 0x00007ffff4200e5c in g_main_dispatch (context=0x7fffdc000ef0) at ../glib/gmain.c:3476
#76 g_main_context_dispatch_unlocked (context=0x7fffdc000ef0) at ../glib/gmain.c:4284
#77 0x00007ffff425bf18 in g_main_context_iterate_unlocked.isra.0
    (context=context@entry=0x7fffdc000ef0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4349
#78 0x00007ffff41fead3 in g_main_context_iteration (context=0x7fffdc000ef0, may_block=1) at ../glib/gmain.c:4414
#79 0x00007ffff500b41c in QEventDispatcherGlib::processEvents (this=0x46cee0, flags=...)
    at /home/nico/workspace/qt6/qtbase/src/corelib/kernel/qeventdispatcher_glib.cpp:394
#80 0x00007ffff4d6af4b in QEventLoop::exec (this=this@entry=0x7fffffffd390, flags=..., flags@entry=...)
    at /home/nico/workspace/qt6/qtbase/src/corelib/global/qflags.h:34
#81 0x00007ffff4d67932 in QCoreApplication::exec () at /home/nico/workspace/qt6/qtbase/src/corelib/global/qflags.h:74
#82 0x00007ffff55b3c0c in QGuiApplication::exec () at /home/nico/workspace/qt6/qtbase/src/gui/kernel/qguiapplication.cpp:1926
#83 0x00007ffff71819d5 in QApplication::exec () at /home/nico/workspace/qt6/qtbase/src/widgets/kernel/qapplication.cpp:2555
#84 0x000000000040c06c in main (argc=<optimized out>, argv=<optimized out>) at /home/nico/kde/src/plasma-systemmonitor/src/main.cpp:116
Comment 4 Nate Graham 2024-03-01 21:36:04 UTC
Can also reproduce the crash with the same backtrace.
Comment 6 Nate Graham 2024-03-03 01:10:39 UTC
Arjen, do you see any defects in System Monitor's code here, or is it purely a Qt issue and we should just wait for that patch to be merged? (BTW, thanks Nicolas)
Comment 7 Arjen Hiemstra 2024-03-04 10:06:15 UTC
The code actually has a target set so this seems one of those transient state things that definitely shouldn't crash and seems to be purely an upstream issue.
Comment 8 Nicolas Fella 2024-03-07 16:32:48 UTC
*** Bug 482741 has been marked as a duplicate of this bug. ***
Comment 9 Patrick Silva 2024-03-08 21:56:19 UTC
*** Bug 482922 has been marked as a duplicate of this bug. ***
Comment 10 Patrick Silva 2024-03-10 18:59:30 UTC
*** Bug 483114 has been marked as a duplicate of this bug. ***
Comment 11 SR_team 2024-03-16 23:28:33 UTC
Same issue.

OS: ArchLinux, core 6.7.9-zen
GPU: NVIDIA, 550.54.14
Plasma version: 6.0.2
Frameworks: 6.0.0
Qt: 6.6.2

Coredump: https://nc.sr.team/s/KCqcozY9pGbFDEC

Backtrace:
```
QQuickItem::parentItem (this=0x0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:2629
Downloading source file /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp
2629        return d->parentItem;
(gdb)
(gdb) bt
#0  QQuickItem::parentItem (this=0x0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:2629
#1  0x00007fffeaf81e13 in QQuickSelectionRectanglePrivate::updateSelectionMode (this=0x5555597aa0a0)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quicktemplates/qquickselectionrectangle.cpp:496
#2  0x00007fffeaf8373b in operator() (__closure=0x5555597ab4f0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quicktemplates/qquickselectionrectangle.cpp:542
#3  QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, QQuickSelectionRectangle::QQuickSelectionRectangle(QQuickItem*)::<lambda()> >::call (arg=<optimized out>, f=...)
at /usr/include/qt6/QtCore/qobjectdefs_impl.h:137
#4  QtPrivate::Functor<QQuickSelectionRectangle::QQuickSelectionRectangle(QQuickItem*)::<lambda()>, 0>::call<QtPrivate::List<>, void> (arg=<optimized out>, f=...) at /usr/include/qt6/QtCore/qobjectdefs_impl.h:339
#5  QtPrivate::QCallableObject<QQuickSelectionRectangle::QQuickSelectionRectangle(QQuickItem*)::<lambda()>, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *)
(which=<optimized out>, this_=0x5555597ab4e0, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/qt6/QtCore/qobjectdefs_impl.h:522
#6  0x00007ffff6190ca9 in QtPrivate::QSlotObjectBase::call (a=0x7fffffff7358, r=0x5555597a9fc0, this=0x5555597ab4e0, this=<optimized out>, r=<optimized out>, a=<optimized out>)
at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qobjectdefs_impl.h:433
#7  doActivate<false> (sender=0x5555597a9fc0, signal_index=17, argv=0x7fffffff7358) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qobject.cpp:4039
#8  0x00007fffeb788d4b in QQuickItemPrivate::setEffectiveEnableRecur (this=0x555559653340, scope=0x0, newEffectiveEnable=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:6571
#9  0x00007fffeb788d4b in QQuickItemPrivate::setEffectiveEnableRecur (this=0x555559652e30, scope=0x0, newEffectiveEnable=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:6571
#10 0x00007fffeb788d4b in QQuickItemPrivate::setEffectiveEnableRecur (this=0x5555584f6dd0, scope=0x0, newEffectiveEnable=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:6571
#11 0x00007fffeb788d4b in QQuickItemPrivate::setEffectiveEnableRecur (this=0x5555588f6ab0, scope=0x0, newEffectiveEnable=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:6571
#12 0x00007fffeb788d4b in QQuickItemPrivate::setEffectiveEnableRecur (this=0x555558008000, scope=0x0, newEffectiveEnable=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:6571
#13 0x00007fffeb77f6f4 in QQuickItem::setParentItem (this=0x7fffbc0021e0, parentItem=<optimized out>) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:2721
#14 0x00007fffeb7ae1f9 in QQuickLoaderPrivate::setInitialState (obj=0x7fffbc0021e0, this=0x555557eddda0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickloader.cpp:639
#15 QQuickLoaderIncubator::setInitialState (this=this@entry=0x5555584483d0, o=0x7fffbc0021e0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickloader.cpp:622
#16 0x00007ffff72aedfa in QQmlIncubatorPrivate::incubate (this=this@entry=0x7fffbc002400, i=...) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlincubator.cpp:321
#17 0x00007ffff72af4a6 in QQmlEnginePrivate::incubate (this=0x5555557c48f0, i=<optimized out>, forContext=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlincubator.cpp:53
#18 0x00007ffff725fb86 in QQmlComponent::create (this=<optimized out>, incubator=..., context=<optimized out>, forContext=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlcomponent.cpp:1437
#19 0x00007fffeb7a8b46 in QQuickLoaderPrivate::_q_sourceLoaded (this=0x555557eddda0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickloader.cpp:741
#20 0x00007fffeb7add6d in QQuickLoader::setActive (this=0x555557ef41b0, newVal=<optimized out>) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickloader.cpp:315
#21 0x00007ffff7231298 in QQmlPropertyData::writeProperty (this=<optimized out>, target=<optimized out>, value=<optimized out>, flags=...)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlpropertydata_p.h:298
#22 0x00007ffff7246591 in GenericBinding<1>::doStore<bool> (flags=..., pd=<optimized out>, value=<optimized out>, this=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlbinding.cpp:272
#23 GenericBinding<1>::write (this=<optimized out>, result=..., isUndefined=false, flags=...) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlbinding.cpp:238
#24 0x00007ffff72452ea in QQmlBinding::doUpdate (this=0x555557ef6840, watcher=..., flags=..., scope=...) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlbinding.cpp:700
#25 0x00007ffff7243d04 in QQmlBinding::update (this=0x555557ef6840, flags=...) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlbinding.cpp:164
#26 0x00007ffff72d1217 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x0) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlnotifier.cpp:70
#27 0x00007ffff6190ada in doActivate<false> (sender=0x555557b6b1e0, signal_index=5, argv=0x0) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qobject.cpp:3931
--Type <RET> for more, q to quit, c to continue without paging--
#28 0x00007ffff72e0a76 in QQmlOpenMetaObject::metaCall (this=0x555557b6c4b0, o=0x555557b6b1e0, c=<optimized out>, id=<optimized out>, a=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlopenmetaobject.cpp:277
#29 0x00007ffff72312e2 in QQmlPropertyData::doMetacall<(QMetaObject::Call)2> (this=<optimized out>, argv=0x7fffffff96b0, idx=<optimized out>, object=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlpropertydata_p.h:320
#30 QQmlPropertyData::writeProperty (this=<optimized out>, target=<optimized out>, value=<optimized out>, flags=...)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlpropertydata_p.h:340
#31 0x00007ffff72ecccc in QQmlPropertyPrivate::write (object=0x555557b6b1e0, property=..., value=..., context=..., flags=...)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlproperty.cpp:1559
#32 0x00007ffff71b0ede in QV4::QObjectWrapper::setProperty (engine=engine@entry=0x555555717a20, object=object@entry=0x555557b6b1e0, property=0x7fffffff9a80, value=...) at /usr/include/qt6/QtCore/qflags.h:73
#33 0x00007ffff71b157e in QV4::QObjectWrapper::setQmlProperty (engine=engine@entry=0x555555717a20, qmlContext=..., object=0x555557b6b1e0, name=name@entry=0x7fffe8bbf580, flags=..., flags@entry=..., value=...)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4qobjectwrapper.cpp:465
#34 0x00007ffff71b1700 in QV4::QObjectWrapper::virtualPut (m=0x7fffe8bbf538, id=..., value=..., receiver=0x7fffe8bbf538)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4qobjectwrapper.cpp:837
#35 0x00007ffff719a2c3 in QV4::Object::put (receiver=0x7fffe8bbf538, v=<optimized out>, id=..., this=0x7fffe8bbf538) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4object_p.h:41
#36 QV4::Object::virtualResolveLookupSetter (object=0x7fffe8bbf538, engine=0x555555717a20, lookup=0x555557b8ad90, value=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4object.cpp:813
#37 0x00007ffff720191c in QV4::Moth::VME::interpret (frame=0x7fffffffa020, engine=0x555555717a20, code=0x7fffe03ecaa6 "\032\b\006\324\026\006\002")
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4vme_moth.cpp:321
#38 0x00007ffff72045c5 in QV4::Moth::VME::exec (frame=<optimized out>, engine=<optimized out>) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4vme_moth.cpp:584
#39 0x00007ffff71703fe in QV4::doCall (self=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>, context=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4function.cpp:54
#40 0x00007ffff7175311 in QV4::Function::call (this=this@entry=0x555557b8ea70, thisObject=<optimized out>, argv=argv@entry=0x7fffe8bbf4f0, argc=argc@entry=1, context=context@entry=0x7fffe031d620)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4function.cpp:79
#41 0x00007ffff71754a5 in operator() (argc=1, argv=0x7fffe8bbf4f0, thisObject=<optimized out>, __closure=<synthetic pointer>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4function.cpp:30
#42 QV4::convertAndCall<QV4::Function::call(QObject*, void**, const QMetaType*, int, QV4::ExecutionContext*)::<lambda(const QV4::Value*, const QV4::Value*, int)> >
(call=..., argc=1, types=0x7fffffffa288, a=0x7fffffffbd70, thisObject=<optimized out>, engine=<optimized out>) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4jscall_p.h:173
#43 QV4::Function::call (this=0x555557b8ea70, thisObject=<optimized out>, a=0x7fffffffbd70, types=0x7fffffffa288, argc=1, context=0x7fffe031d620)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/jsruntime/qv4function.cpp:27
#44 0x00007ffff72b0427 in QQmlJavaScriptExpression::evaluate (this=<optimized out>, a=<optimized out>, types=<optimized out>, argc=<optimized out>)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmljavascriptexpression_p.h:248
#45 0x00007ffff7248b51 in QQmlBoundSignalExpression::evaluate (this=this@entry=0x555557ef96b0, a=a@entry=0x7fffffffbd70) at /usr/include/qt6/QtCore/qvarlengtharray.h:85
#46 0x00007ffff724e56b in QQmlBoundSignal_callback (a=0x7fffffffbd70, e=0x555557b7c650) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/ftw/qqmlrefcount_p.h:72
#47 QQmlBoundSignal_callback (e=0x555557b7c650, a=0x7fffffffbd70) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlboundsignal.cpp:293
#48 0x00007ffff72d1217 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x7fffffffbd70) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/qml/qml/qqmlnotifier.cpp:70
#49 0x00007ffff6190ada in doActivate<false> (sender=0x555557ef8fe0, signal_index=9, argv=0x7fffffffbd70) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qobject.cpp:3931
#50 0x00007fffeaea97c2 in QQuickAction::toggled (_t1=0x555559003920, this=0x555557ef8fe0) at /usr/src/debug/qt6-declarative/build/src/quicktemplates/QuickTemplates2_autogen/include/moc_qquickaction_p.cpp:481
#51 QQuickActionPrivate::trigger (this=0x555557ef90b0, source=source@entry=0x555559003920, doToggle=doToggle@entry=false)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quicktemplates/qquickaction.cpp:522
#52 0x00007fffeaea98b8 in QQuickAbstractButtonPrivate::trigger (this=0x555558f99dd0, doubleClick=false) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quicktemplates/qquickabstractbutton.cpp:355
#53 0x00007fffeaeaaef9 in QQuickAbstractButtonPrivate::handleRelease (this=this@entry=0x555558f99dd0, point=..., timestamp=timestamp@entry=281626042)
--Type <RET> for more, q to quit, c to continue without paging--
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quicktemplates/qquickabstractbutton.cpp:167
#54 0x00007fffeaec4e2e in QQuickControl::mouseReleaseEvent (this=<optimized out>, event=0x7fffffffc930) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quicktemplates/qquickcontrol.cpp:2049
#55 0x00007fffeb78f32d in QQuickItem::event (this=0x555559003920, ev=0x7fffffffc930) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickitem.cpp:8895
#56 0x00007ffff76f438b in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x555559003920, e=0x7fffffffc930)
at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/widgets/kernel/qapplication.cpp:3296
#57 0x00007ffff6139818 in QCoreApplication::notifyInternal2 (receiver=0x555559003920, event=0x7fffffffc930) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qcoreapplication.cpp:1121
#58 0x00007ffff613985d in QCoreApplication::sendEvent (receiver=<optimized out>, event=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qcoreapplication.cpp:1539
#59 0x00007fffeb8f9ef4 in QQuickDeliveryAgentPrivate::deliverMatchingPointsToItem
(this=this@entry=0x5555557d6750, item=item@entry=0x555559003920, isGrabber=isGrabber@entry=true, pointerEvent=pointerEvent@entry=0x7fffffffc930, handlersOnly=handlersOnly@entry=false)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/util/qquickdeliveryagent.cpp:2179
#60 0x00007fffeb8fa53e in QQuickDeliveryAgentPrivate::deliverUpdatedPoints (this=this@entry=0x5555557d6750, event=event@entry=0x7fffffffc930)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/util/qquickdeliveryagent.cpp:2015
#61 0x00007fffeb8fbf1b in QQuickDeliveryAgentPrivate::deliverPointerEvent (this=this@entry=0x5555557d6750, event=event@entry=0x7fffffffc930)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/util/qquickdeliveryagent.cpp:1857
#62 0x00007fffeb8fc61e in QQuickDeliveryAgentPrivate::handleMouseEvent (this=0x5555557d6750, event=0x7fffffffc930)
at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/util/qquickdeliveryagent.cpp:1648
#63 0x00007fffeb8f0a08 in QQuickDeliveryAgent::event (this=<optimized out>, ev=0x7fffffffc930) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/util/qquickdeliveryagent.cpp:705
#64 0x00007fffeb8345d5 in QQuickWindow::event (this=<optimized out>, event=<optimized out>) at /usr/src/debug/qt6-declarative/qtdeclarative-everywhere-src-6.6.2/src/quick/items/qquickwindow.cpp:1508
#65 0x00007ffff76f438b in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x55555586eb70, e=0x7fffffffc930)
at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/widgets/kernel/qapplication.cpp:3296
#66 0x00007ffff6139818 in QCoreApplication::notifyInternal2 (receiver=0x55555586eb70, event=0x7fffffffc930) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qcoreapplication.cpp:1121
#67 0x00007ffff613986d in QCoreApplication::sendSpontaneousEvent (receiver=<optimized out>, event=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qcoreapplication.cpp:1553
#68 0x00007ffff676f9e5 in QGuiApplicationPrivate::processMouseEvent (e=0x7fffd8006180) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/gui/kernel/qguiapplication.cpp:2325
#69 0x00007ffff67da85c in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/gui/kernel/qwindowsysteminterface.cpp:1109
#70 0x00007ffff6bb26c4 in userEventSourceDispatch (source=<optimized out>) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/gui/platform/unix/qeventdispatcher_glib.cpp:38
#71 0x00007ffff5495f69 in g_main_dispatch (context=0x7fffe4000ef0) at ../glib/glib/gmain.c:3476
#72 0x00007ffff54f43a7 in g_main_context_dispatch_unlocked (context=0x7fffe4000ef0) at ../glib/glib/gmain.c:4284
#73 g_main_context_iterate_unlocked.isra.0 (context=context@entry=0x7fffe4000ef0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/glib/gmain.c:4349
#74 0x00007ffff5494162 in g_main_context_iteration (context=0x7fffe4000ef0, may_block=1) at ../glib/glib/gmain.c:4414
#75 0x00007ffff63739c4 in QEventDispatcherGlib::processEvents (this=0x555555697c90, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#76 0x00007ffff6143d6e in QEventLoop::processEvents (flags=..., this=0x7fffffffcdf0) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventloop.cpp:100
#77 QEventLoop::exec (this=0x7fffffffcdf0, flags=...) at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventloop.cpp:182
#78 0x00007ffff613c2b8 in QCoreApplication::exec () at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:74
#79 0x00007ffff76f0f0a in QApplication::exec () at /usr/src/debug/qt6-base/qtbase-everywhere-src-6.6.2/src/widgets/kernel/qapplication.cpp:2574
#80 0x000055555555d2a0 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma-systemmonitor/plasma-systemmonitor-6.0.2/src/main.cpp:116
```
Comment 12 Nicolas Fella 2024-03-17 13:44:59 UTC
*** Bug 483833 has been marked as a duplicate of this bug. ***
Comment 13 Nate Graham 2024-03-23 03:40:20 UTC
Looks like this it an upstream Qt issue, and it's been fixed with https://codereview.qt-project.org/c/qt/qtdeclarative/+/544750 thanks to Nicolas Fella!
Comment 14 bugsie 2024-04-02 01:30:28 UTC
(Still) crashes here with System Monitor version 6.0.4

Operating System: KDE neon Testing Edition
KDE Plasma Version: 6.0.4
KDE Frameworks Version: 6.1.0
Qt Version: 6.6.3
Kernel Version: 6.5.0-26-generic (64-bit)
Graphics Platform: Wayland
Processors: 10 × AMD Ryzen 5 5600 6-Core Processor
Memory: 3,8 GiB of RAM
Graphics Processor: llvmpipe
Manufacturer: QEMU
Product Name: Standard PC (Q35 + ICH9, 2009)
System Version: pc-q35-8.2

(gdb) bt
#0  0x00007ab3ff5a9904 in QQuickItem::parentItem() const () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#1  0x00007ab3fe93ebd2 in ?? () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#2  0x00007ab3fe975dca in ?? () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#3  0x00007ab404c54d1e in ?? () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#4  0x00007ab3ff5b7ec0 in QQuickItemPrivate::setEffectiveEnableRecur(QQuickItem*, bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#5  0x00007ab3ff5b7ec0 in QQuickItemPrivate::setEffectiveEnableRecur(QQuickItem*, bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#6  0x00007ab3ff5b7ec0 in QQuickItemPrivate::setEffectiveEnableRecur(QQuickItem*, bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#7  0x00007ab3ff5b7ec0 in QQuickItemPrivate::setEffectiveEnableRecur(QQuickItem*, bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#8  0x00007ab3ff5b7ec0 in QQuickItemPrivate::setEffectiveEnableRecur(QQuickItem*, bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#9  0x00007ab3ff5adeff in QQuickItem::setParentItem(QQuickItem*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#10 0x00007ab3ff5ce5d9 in ?? () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#11 0x00007ab405d03eda in QQmlIncubatorPrivate::incubate(QQmlInstantiationInterrupt&) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#12 0x00007ab405d04554 in QQmlEnginePrivate::incubate(QQmlIncubator&, QQmlRefPointer<QQmlContextData> const&) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#13 0x00007ab405cd59be in QQmlComponent::create(QQmlIncubator&, QQmlContext*, QQmlContext*) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#14 0x00007ab3ff5c8b20 in ?? () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#15 0x00007ab3ff5ce0fd in QQuickLoader::setActive(bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#16 0x00007ab405c2b468 in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#17 0x00007ab405d27bfe in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#18 0x00007ab405cd0a92 in QQmlBinding::doUpdate(QQmlJavaScriptExpression::DeleteWatcher const&, QFlags<QQmlPropertyData::WriteFlag>, QV4::Scope&) ()
   from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#19 0x00007ab405ccbe11 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#20 0x00007ab405c3e548 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#21 0x00007ab404c54af5 in ?? () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#22 0x00007ab405c46602 in QQmlOpenMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#23 0x00007ab405c2b4b2 in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#24 0x00007ab405c55e64 in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlRefPointer<QQmlContextData> const&, QFlags<QQmlPropertyData::WriteFlag>) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#25 0x00007ab405d3d2ed in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData const*, QV4::Value const&) ()
   from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#26 0x00007ab405d3dbae in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlRefPointer<QQmlContextData> const&, QObject*, QV4::String*, QFlags<QV4::QObjectWrapper::Flag>, QV4::Value const&) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#27 0x00007ab405d3dd4f in QV4::QObjectWrapper::virtualPut(QV4::Managed*, QV4::PropertyKey, QV4::Value const&, QV4::Value*) ()
   from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#28 0x00007ab405e5c96c in QV4::Object::virtualResolveLookupSetter(QV4::Object*, QV4::ExecutionEngine*, QV4::Lookup*, QV4::Value const&) ()
   from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#29 0x00007ab405e8c90a in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#30 0x00007ab405e907ba in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#31 0x00007ab405dc2f32 in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#32 0x00007ab405dca595 in QV4::Function::call(QObject*, void**, QMetaType const*, int, QV4::ExecutionContext*) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#33 0x00007ab405d01949 in QQmlJavaScriptExpression::evaluate(void**, QMetaType const*, int) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#34 0x00007ab405ccdf87 in QQmlBoundSignalExpression::evaluate(void**) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#35 0x00007ab405cd1ffb in ?? () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#36 0x00007ab405c3e548 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () from /lib/x86_64-linux-gnu/libQt6Qml.so.6
#37 0x00007ab404c54af5 in ?? () from /lib/x86_64-linux-gnu/libQt6Core.so.6
--Type <RET> for more, q to quit, c to continue without paging--c
#38 0x00007ab3fe9da646 in QQuickAction::toggled(QObject*) () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#39 0x00007ab3fe9dd2c3 in ?? () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#40 0x00007ab3fe9dd550 in QQuickAbstractButtonPrivate::trigger(bool) () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#41 0x00007ab3fe9df3ea in QQuickAbstractButtonPrivate::handleRelease(QPointF const&, unsigned long) () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#42 0x00007ab3fe9eefed in QQuickControl::mouseReleaseEvent(QMouseEvent*) () from /lib/x86_64-linux-gnu/libQt6QuickTemplates2.so.6
#43 0x00007ab3ff5bfd63 in QQuickItem::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#44 0x00007ab4065f1a2b in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt6Widgets.so.6
#45 0x00007ab404c8dc28 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#46 0x00007ab3ff3b3e1b in QQuickDeliveryAgentPrivate::deliverMatchingPointsToItem(QQuickItem*, bool, QPointerEvent*, bool) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#47 0x00007ab3ff3b51f6 in QQuickDeliveryAgentPrivate::deliverUpdatedPoints(QPointerEvent*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#48 0x00007ab3ff3b6cb3 in QQuickDeliveryAgentPrivate::deliverPointerEvent(QPointerEvent*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#49 0x00007ab3ff3ac024 in QQuickDeliveryAgentPrivate::handleMouseEvent(QMouseEvent*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#50 0x00007ab3ff3ade08 in QQuickDeliveryAgent::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#51 0x00007ab3ff55abac in QQuickWindow::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt6Quick.so.6
#52 0x00007ab4065f1a2b in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt6Widgets.so.6
#53 0x00007ab404c8dc28 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#54 0x00007ab4052eeb3b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /lib/x86_64-linux-gnu/libQt6Gui.so.6
#55 0x00007ab40535516c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt6Gui.so.6
#56 0x00007ab40570d924 in ?? () from /lib/x86_64-linux-gnu/libQt6Gui.so.6
#57 0x00007ab403c99d3b in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#58 0x00007ab403cef258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007ab403c973e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#60 0x00007ab404a579d0 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#61 0x00007ab404c97b0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#62 0x00007ab404c9218c in QCoreApplication::exec() () from /lib/x86_64-linux-gnu/libQt6Core.so.6
#63 0x00005834da9107b2 in ?? ()
#64 0x00007ab404029d90 in __libc_start_call_main (main=main@entry=0x5834da90f650, argc=argc@entry=1, argv=argv@entry=0x7ffdc1254e08) at ../sysdeps/nptl/libc_start_call_main.h:58
#65 0x00007ab404029e40 in __libc_start_main_impl (main=0x5834da90f650, argc=1, argv=0x7ffdc1254e08, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffdc1254df8) at ../csu/libc-start.c:392
#66 0x00005834da911335 in ?? ()
(gdb)
Comment 15 Arjen Hiemstra 2024-04-02 08:24:35 UTC
It looks like the cherry-pick to 6.6 did not make it: https://codereview.qt-project.org/c/qt/qtdeclarative/+/550819

Still, this remains an upstream issue so please don't reopen it.
Comment 16 Arjen Hiemstra 2024-04-02 11:45:01 UTC
*** Bug 484919 has been marked as a duplicate of this bug. ***
Comment 17 Torsten Wohlfarth (TUXEDO) 2024-04-02 20:47:53 UTC
For me, the patch from https://bugs.kde.org/show_bug.cgi?id=482169#c13 was working fine with qt6-declarative 6.6.2.
Now, with qt6-declarative 6.6.3 from Kde Neon, i had to apply that patch again and systemmonitor is working fine with Show Details Sidebar.
Comment 18 Geraldo Simião 2024-04-07 03:42:17 UTC
Still happening on:
plasma-systemmonitor-6.0.3-1.fc40

Operating System: Fedora Linux 40
KDE Plasma Version: 6.0.3
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2

Kernel Version: 6.8.4-300.fc40.x86_64 (64-bit)

Graphics Platform: Wayland

Processors: 8 × Intel® Core™ i7-3632QM CPU @ 2.20GHz
Memory: 15.4 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 4000
Manufacturer: Acer
Product Name: Aspire V3-571

Reproducible: Always
Comment 19 Patrick Silva 2024-04-11 12:30:58 UTC
I updated to Qt 6.7 on neon unstable a few minutes ago; the crash persists.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 6.0.80
KDE Frameworks Version: 6.1.0
Qt Version: 6.7.0
Graphics Platform: Wayland
Comment 20 Nate Graham 2024-04-11 15:52:35 UTC
Re-opening. :(
Comment 21 Nate Graham 2024-04-11 16:15:04 UTC
Apparently the fix missed 6.70. and it's in 6.7.1. Closing again.
Comment 22 David Edmundson 2024-04-11 16:15:38 UTC
git branch --contains  47cf611d54938d0b7916aa72167b52f50b846723

* 6.7

>❯ git tag --contains 47cf611d54938d0b7916aa72167b52f50b846723
(nothing)

Commit is in 6.7.1.